Altimax\Apidae\Core\Entity\SitraElementReference:
    type: entity
    table: sitra_element_reference
    repositoryClass: Altimax\Apidae\Core\Repository\SitraElementReference
    indexes:
        id:
            columns:
                - element_reference_id
                - element_reference_type
        element_reference_id:
            columns:
                - element_reference_id
        fk_element_reference_langue_idx:
            columns:
                - lang_id
    id:
        id:
            type: integer
            nullable: false
            unsigned: false
            comment: ''
            id: true
            generator:
                strategy: IDENTITY
    fields:
        elementReferenceId:
            type: integer
            nullable: false
            unsigned: false
            comment: 'identifiant SITRA de l''element'
            column: element_reference_id
        elementReferenceType:
            type: string
            nullable: false
            length: 50
            fixed: false
            comment: "IMPORTANT : clé fonctionnelle : element_reference_type + sitra_id + lang_id\n\navant l import=>passer la colone en varchar et après la repasser en ENUM\n"
            column: element_reference_type
        libelle:
            type: string
            nullable: true
            length: 255
            fixed: false
            comment: ''
        ordre:
            type: integer
            nullable: false
            unsigned: false
            comment: ''
        description:
            type: text
            nullable: true
            length: null
            fixed: false
            comment: ''
        actif:
            type: boolean
            nullable: false
            comment: ''
        toDelete:
            type: boolean
            nullable: false
            comment: ''
            default: '0'
            column: to_delete
    manyToOne:
        familleCritere:
            targetEntity: Altimax\Apidae\Core\Entity\SitraElementReference
            cascade: {  }
            mappedBy: null
            inversedBy: null
            joinColumns:
                famille_critere_id:
                    referencedColumnName: id
                    onDelete: SET NULL
            orphanRemoval: false
        parent:
            targetEntity: Altimax\Apidae\Core\Entity\SitraElementReference
            cascade: {  }
            mappedBy: null
            inversedBy: null
            joinColumns:
                parent_id:
                    referencedColumnName: id
                    onDelete: SET NULL
            orphanRemoval: false
        lang:
            targetEntity: Altimax\Apidae\Core\Entity\SitraLangue
            cascade: {  }
            mappedBy: null
            inversedBy: null
            joinColumns:
                lang_id:
                    referencedColumnName: id
                    onDelete: CASCADE
            orphanRemoval: false
    manyToMany:
        salleReunion:
            targetEntity: Altimax\Apidae\Core\Entity\SitraSalleReunion
            cascade: {  }
            mappedBy: elementReference
            inversedBy: null
            joinTable: null
            orderBy: null
            fetch: EXTRA_LAZY
        objet:
            targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
            cascade: {  }
            mappedBy: elementReference
            inversedBy: null
            joinTable: null
            orderBy: null
        sportHiver:
            targetEntity: Altimax\Apidae\Core\Entity\SitraSportsHiver
            cascade: {  }
            mappedBy: elementReference
            inversedBy: null
            joinTable: null
            orderBy: null
        visite:
            targetEntity: Altimax\Apidae\Core\Entity\SitraVisite
            cascade: {  }
            mappedBy: elementReference
            inversedBy: null
            joinTable: null
            orderBy: null
    lifecycleCallbacks: {  }
